*"$@I=Bj(J $@CO?^IA2h(J GTOOL3(GGMAPS)
*
*"$@MzNr(J 95/05/29 $@C]9-??0l(J
*
*
*********************************************************************
*"         << $@CO?^IA2h(J($@J#?t%U%!%$%kL>(J) >>
*********************************************************************
      SUBROUTINE GGMAPS( MFILES )
*
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC, NED
#else
#include         "gzsize.F"              !" NCC, NDC, NED
#endif
*
      CHARACTER  MFILES * (NFILN)        !" $@CO?^>pJs%U%!%$%kL>(J
      CHARACTER  CSEP * 1                !" $@%U%!%$%kL>6h@Z$j;R(J
      DATA       CSEP/','/
*
      IS = 1
*
 10   CONTINUE 
      IF( LENZ(MFILES(IS:NFILN)) .EQ. 0 ) RETURN
*
      IL = INDXCF( MFILES(IS:NFILN), NFILN-IS+1, 1, CSEP )
      IF ( IL .GT. 1 )THEN
         IE = IS-1 + IL-1
         CALL UMPMAP( MFILES(IS:IE) )
         IS = IE+2
      ELSE IF ( IL .EQ. 0 )THEN
         CALL UMPMAP( MFILES(IS:NFILN) )
         RETURN
      ELSE IF ( IL .EQ. 1 )THEN
         IS = IS+1
      ENDIF
      GOTO 10
*
      END
